sparkline and leaflet managed as rails assets dependencies

rails5
echarp 5 years ago
parent 7c16f5f073
commit 3b0925da1d
  1. 17
      Gemfile
  2. 54
      Gemfile.lock
  3. 2
      app/assets/javascripts/application.js.coffee
  4. 2
      public/assets/.sprockets-manifest-2856a8fbeb29238a5e8833501260de39.json
  5. 91751
      public/assets/application-759825fe00ea87657b16c6612043e9d6807237e006aeca47072a52133eaf13b2.js
  6. BIN
      public/assets/application-759825fe00ea87657b16c6612043e9d6807237e006aeca47072a52133eaf13b2.js.gz

@ -47,7 +47,7 @@ gem 'actionview-encoded_mail_to'
gem 'differ'
# A generic library to administrate the tool
gem 'activeadmin', github: 'activeadmin'
gem 'activeadmin'
# Markdown display
gem 'kramdown'
@ -103,10 +103,10 @@ group :development, :test do
gem 'sqlite3'
end
# Use SASS for stylesheets
gem 'sass-rails'
group :development, :test, :assets do
# Use SASS for stylesheets
gem 'sass-rails'
# Use CoffeeScript for .coffee assets and views
gem 'coffee-rails'
@ -120,14 +120,15 @@ group :development, :test, :assets do
gem 'modernizr-rails'
gem 'jquery-sparkline-rails', github: 'cubus/jquery-sparkline-rails'
# A superb font to use as icons
gem 'font-awesome-sass'
# Carte openstreetmap
gem 'leaflet-rails'
gem 'rails-assets-leaflet.markercluster', source: 'https://rails-assets.org'
source 'https://rails-assets.org' do
gem 'rails-assets-jquery-sparkline'
gem 'rails-assets-leaflet'
gem 'rails-assets-leaflet.markercluster'
end
end
group :assets do

@ -1,29 +1,3 @@
GIT
remote: git://github.com/activeadmin/activeadmin.git
revision: 50d9893ea60993ef72047f072e5a4bc0c4d24b45
specs:
activeadmin (1.0.0)
arbre (>= 1.1.1)
coffee-rails
formtastic (~> 3.1)
formtastic_i18n
inherited_resources (~> 1.7)
jquery-rails
jquery-ui-rails
kaminari (>= 0.15, < 2.0)
railties (>= 4.2, < 5.2)
ransack (~> 1.3)
sass (~> 3.1)
sprockets (< 4.1)
GIT
remote: git://github.com/cubus/jquery-sparkline-rails.git
revision: c5b531f51e3e734710c7561b06c2c829107f9b38
specs:
jquery-sparkline-rails (2.1.1)
jquery-rails
rails (>= 3.2.2)
GIT
remote: git://github.com/svenfuchs/i18n-active_record.git
revision: a61b6840b746d303de17f12d35522388c16ad003
@ -56,6 +30,20 @@ GEM
rails-html-sanitizer (~> 1.0, >= 1.0.3)
actionview-encoded_mail_to (1.0.9)
rails
activeadmin (1.0.0)
arbre (>= 1.1.1)
bourbon
coffee-rails
formtastic (~> 3.1)
formtastic_i18n
inherited_resources (~> 1.7)
jquery-rails
jquery-ui-rails
kaminari (>= 0.15, < 2.0)
railties (>= 4.2, < 5.2)
ransack (~> 1.3)
sass-rails
sprockets (< 4.1)
activejob (4.2.9)
activesupport (= 4.2.9)
globalid (>= 0.3.0)
@ -80,6 +68,9 @@ GEM
arel (6.0.4)
ast (2.3.0)
bcrypt (3.1.11)
bourbon (4.3.4)
sass (~> 3.4)
thor (~> 0.19)
brakeman (3.7.0)
buftok (0.2.0)
builder (3.2.3)
@ -230,8 +221,6 @@ GEM
kaminari-core (= 1.0.1)
kaminari-core (1.0.1)
kramdown (1.14.0)
leaflet-rails (1.0.3)
rails (>= 4.2.0)
libv8 (3.16.14.19)
listen (3.1.5)
rb-fsevent (~> 0.9, >= 0.9.4)
@ -300,6 +289,7 @@ GEM
bundler (>= 1.3.0, < 2.0)
railties (= 4.2.9)
sprockets-rails
rails-assets-jquery-sparkline (2.1.3)
rails-assets-leaflet (1.1.0)
rails-assets-leaflet.markercluster (1.0.6)
rails-assets-leaflet (>= 1.0.3)
@ -427,7 +417,7 @@ PLATFORMS
DEPENDENCIES
actionview-encoded_mail_to
activeadmin!
activeadmin
acts-as-taggable-on (< 5)
brakeman
bundler-audit
@ -456,9 +446,7 @@ DEPENDENCIES
ice_cube
jbuilder
jquery-rails
jquery-sparkline-rails!
kramdown
leaflet-rails
meta-tags
modernizr-rails
mysql2
@ -467,6 +455,8 @@ DEPENDENCIES
quiet_assets
rack-livereload
rails
rails-assets-jquery-sparkline!
rails-assets-leaflet!
rails-assets-leaflet.markercluster!
rails-i18n
sass-rails
@ -486,4 +476,4 @@ DEPENDENCIES
webrick
BUNDLED WITH
1.13.6
1.15.1

@ -12,7 +12,7 @@
#
#= require jquery
#= require jquery_ujs
#= require jquery.sparkline
#= require jquery-sparkline
# For tags input
#= require jquery-ui/widgets/autocomplete
#= require jquery.tagsinput

File diff suppressed because one or more lines are too long
Loading…
Cancel
Save